<?php

/**
 * @file
 * Bulk export of oembed_provider objects generated by Bulk export module.
 */

/**
 * Implements hook_default_oembed_provider().
 */
function oembed_default_oembed_provider() {
  $providers = array();

  $provider = new stdClass();
  $provider->disabled = FALSE; /* Edit this to true to make a default provider disabled initially */
  $provider->api_version = 1;
  $provider->name = 'flickr';
  $provider->title = 'Flickr';
  $provider->endpoint = 'http://www.flickr.com/services/oembed/';
  $provider->scheme = 'http://*.flickr.com/*
http://flickr.com/*
http://flic.kr/*';
  $providers['flickr'] = $provider;

  $provider = new stdClass();
  $provider->disabled = TRUE; /* Edit this to true to make a default provider disabled initially */
  $provider->api_version = 1;
  $provider->name = 'noembed';
  $provider->title = 'Noembed';
  $provider->endpoint = 'http://noembed.com/embed';
  $provider->scheme = 'http://*
https://*';
  $providers['noembed'] = $provider;

  $provider = new stdClass();
  $provider->disabled = FALSE; /* Edit this to true to make a default provider disabled initially */
  $provider->api_version = 1;
  $provider->name = 'qik';
  $provider->title = 'Qik';
  $provider->endpoint = 'http://qik.com/api/oembed.json';
  $provider->scheme = 'http://qik.com/video/*
http://qik.com/*
http://qik.ly/*';
  $providers['qik'] = $provider;

  $provider = new stdClass();
  $provider->disabled = FALSE; /* Edit this to true to make a default provider disabled initially */
  $provider->api_version = 1;
  $provider->name = 'revision3';
  $provider->title = 'Revision3';
  $provider->endpoint = 'http://revision3.com/api/oembed/';
  $provider->scheme = 'http://*.revision3.com/*
http://revision3.com/*';
  $providers['revision3'] = $provider;

  $provider = new stdClass();
  $provider->disabled = FALSE; /* Edit this to true to make a default provider disabled initially */
  $provider->api_version = 1;
  $provider->name = 'scribd';
  $provider->title = 'Scribd';
  $provider->endpoint = 'http://www.scribd.com/services/oembed';
  $provider->scheme = 'http://scribd.com/doc/*
http://www.scribd.com/doc/*
http://scribd.com/mobile/documents/*
http://www.scribd.com/mobile/documents/*';
  $providers['scribd'] = $provider;

  $provider = new stdClass();
  $provider->disabled = FALSE; /* Edit this to true to make a default provider disabled initially */
  $provider->api_version = 1;
  $provider->name = 'slideshare';
  $provider->title = 'SlideShare';
  $provider->endpoint = 'http://www.slideshare.net/api/oembed/2';
  $provider->scheme = 'http://www.slideshare.net/*/*
http://www.slideshare.net/mobile/*/*
http://slidesha.re/*';
  $providers['slideshare'] = $provider;

  $provider = new stdClass();
  $provider->disabled = FALSE; /* Edit this to true to make a default provider disabled initially */
  $provider->api_version = 1;
  $provider->name = 'smugmug';
  $provider->title = 'SmugMug';
  $provider->endpoint = 'http://api.smugmug.com/services/oembed/';
  $provider->scheme = 'http://*.smugmug.com/*
http://*.smugmug.com/*#*';
  $providers['smugmug'] = $provider;

  $provider = new stdClass();
  $provider->disabled = FALSE; /* Edit this to true to make a default provider disabled initially */
  $provider->api_version = 1;
  $provider->name = 'soundcloud';
  $provider->title = 'SoundCloud';
  $provider->endpoint = 'http://soundcloud.com/oembed';
  $provider->scheme = 'http://soundcloud.com/*
http://soundcloud.com/*/*
http://soundcloud.com/*/sets/*
http://soundcloud.com/groups/*
http://snd.sc/*';
  $providers['soundcloud'] = $provider;

  $provider = new stdClass();
  $provider->disabled = FALSE; /* Edit this to true to make a default provider disabled initially */
  $provider->api_version = 1;
  $provider->name = 'twitter';
  $provider->title = 'Twitter';
  $provider->endpoint = 'https://api.twitter.com/1/statuses/oembed.json';
  $provider->scheme = 'http://twitter.com/*/status/*
http://twitter.com/*/statuses/*
http://www.twitter.com/*/status/*
http://www.twitter.com/*/statuses/*
http://mobile.twitter.com/*/status/*
http://mobile.twitter.com/*/statuses/*
https://twitter.com/*/status/*
https://twitter.com/*/statuses/*
https://www.twitter.com/*/status/*
https://www.twitter.com/*/statuses/*
https://mobile.twitter.com/*/status/*
https://mobile.twitter.com/*/statuses/*';
  $providers['twitter'] = $provider;

  $provider = new stdClass();
  $provider->disabled = FALSE; /* Edit this to true to make a default provider disabled initially */
  $provider->api_version = 1;
  $provider->name = 'viddler';
  $provider->title = 'Viddler';
  $provider->endpoint = 'http://lab.viddler.com/services/oembed/';
  $provider->scheme = 'http://*.viddler.com/*';
  $providers['viddler'] = $provider;

  $provider = new stdClass();
  $provider->disabled = FALSE; /* Edit this to true to make a default provider disabled initially */
  $provider->api_version = 1;
  $provider->name = 'vimeo';
  $provider->title = 'Vimeo';
  $provider->endpoint = 'http://vimeo.com/api/oembed.json';
  $provider->scheme = 'http://www.vimeo.com/groups/*/videos/*
http://www.vimeo.com/*
https://www.vimeo.com/*
http://vimeo.com/groups/*/videos/*
http://vimeo.com/*
https://vimeo.com/*
http://vimeo.com/m/#/*';
  $providers['vimeo'] = $provider;

  $provider = new stdClass();
  $provider->disabled = FALSE; /* Edit this to true to make a default provider disabled initially */
  $provider->api_version = 1;
  $provider->name = 'youtube';
  $provider->title = 'YouTube';
  $provider->endpoint = 'http://www.youtube.com/oembed';
  $provider->scheme = 'http://*youtube.com/watch*
http://*.youtube.com/v/*
https://*youtube.com/watch*
https://*.youtube.com/v/*
http://youtu.be/*
http://*.youtube.com/user/*
http://*.youtube.com/*#*/*
http://m.youtube.com/watch*
http://m.youtube.com/index*
http://*.youtube.com/profile*
http://*.youtube.com/view_play_list*
http://*.youtube.com/playlist*';
  $providers['youtube'] = $provider;

  return $providers;
}
